"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _default = function _default(pluginOptions) {
  return {
    webpack: function webpack(config) {
      var includePath = pluginOptions.includePath,
          alias = pluginOptions.alias;

      if (!includePath) {
        throw new Error('react-static-plugin-include-external-path: A valid `includePath` ' + 'is required to use this plugin');
      }

      if (!alias) {
        throw new Error('react-static-plugin-include-external-path: A valid `alias` ' + 'is required to use this plugin');
      }

      config.module.rules[0].oneOf[0].include.push(includePath);

      if (config.resolve.alias[alias] && config.resolve.alias[alias] !== includePath) {
        throw new Error("react-static-plugin-include-external-path: " + "The `alias` \"".concat(alias, "\" is already in use and resolves \"").concat(config.resolve.alias[alias], "\""));
      }

      config.resolve.alias[alias] = includePath;
      return config;
    }
  };
};

exports["default"] = _default;